bootstrapMI {maigesPack} | R Documentation

## Calculate bootstrap p-values for mutual information (MI) measures

### Description

This function takes a numerical matrix (or two vectors) and calculates bootstrapped (by permutation) p-values to test if the mutual information value is equal to zero. If the first argument is a matrix, the p-values are calculated between all pairs of rows of the matrix.

### Usage

    bootstrapMI(x, y=NULL, bRep, ret="p-value")

### Arguments

`x` | numerical matrix or vector to be analysed. If a vector, the argument `y` must be informed.
`y` | numerical vector. Must be informed if `x` is a vector. If `x` is a matrix, this argument is ignored. Defaults to NULL.
`bRep` | number of permutation to be done in the test.
`ret` | character string with the value to return. Must be 'p-value' (default) for the usual p-value or 'max', to return the maximum absolute correlation value obtained by the permutation.

### Details

The method implemented in this function is proposed by Butte and Kohane (2000). The MI value is calculated using the function `MI`.

### Value

The result of this function is a square matrix (length equal to the number of rows of `x`) if `x` is a matrix or a numerical value if `x` and `y` are vectors. The result is the p-values or maximum MI values calculated by permutation tests.

### Author(s)

Gustavo H. Esteves <gesteves@vision.ime.usp.br>

### References

Butte, A.J. and Kohane, I.S. Mutual information relevance networks: functional genomic clustering using pairwise entropy measurements. In Pacific Symposium on Biocomputing, 5, 415-426, 2000 (http://psb.stanford.edu/psb-online/proceedings/psb00/)

### See Also

`MI`

### Examples

    x <- runif(50, 0, 1)
    y <- rbeta(50, 1, 2)
    bootstrapMI(x, y, bRep=100)

    z <- matrix(rnorm(100, 0, 1), 4, 25)
    bootstrapMI(z, bRep=100)

[Package maigesPack version 1.4.0 Index]